Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414135 - Document new multipath parameters for RHEL 7.4
Summary: Document new multipath parameters for RHEL 7.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-DM_Multipath
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1425467
TreeView+ depends on / blocked
 
Reported: 2017-01-17 20:58 UTC by Steven J. Levine
Modified: 2019-03-06 01:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-01 15:08:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven J. Levine 2017-01-17 20:58:49 UTC
From Ben Marzinski:

There are four changes that are going into RHEL-7.4 

1368211: There is a new multipath.conf defaults section parameter, "remove_retries". This sets how may times multipath will retry removing a device that is in-use. Between each attempt, multipath will sleep 1 second.  The default is 0, which means that multipath will not retry the remove, which is the current behavior

1169168: There is a new multipath.conf defaults section parameter, "disable_changed_wwids". If this is set to "yes" and the wwid of a path device changes while it is part of a multipath device, multipath will disable access to the path device until the wwid of the path is restored to the wwid of the multipath device. The default is "no", which does not check if a path's wwid has changed, which is the current behavior.

1372032: There is a new multipath.conf devices and defaults section parameter, "detect_path_checker". If set to "yes", multipath will try to detect if the device supports ALUA. If so, the device will automatically use the tur path checker. If not, the path_checker will be selected as usual. Default is "no", which gives the current behavior.

1394059: There is a new multipath.conf parameter for all sections, "max_sectors_kb". This takes a number and sets the max_sectors_kb device sysfs parameter on all path devices and the multipath device to the specified value.  If this parameter is not set, multipath does not modify the default max_sectors_kb value for the path devices (which is device dependent), and the multipath device inherits the value from the paths

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 1 Steven J. Levine 2017-01-20 20:38:01 UTC
The description of the max_sectors_kb parameter has now been added to the 7.4 draft, with the same description that was added to the current 6.9 draft.


Note You need to log in before you can comment on or make changes to this bug.